1

I am having the issue mentioned here https://community.freepbx.org/t/solved-sort-of-wanpipe-fails-to-compile-on-new-kernel-3-10-0-862-2-3-el7-x86-64/50151 I am unable to figure out how to install a specific kernel version. I had a look at How to Downgrade CentOS 7.2 to 7.1 on Linode? but that does not help me as the box comes with 3.10.0-862.9.1.el7.x86_64 and has no history of 3.10.0-693.17.1.el7.x86_64

5
  • 1) Are you sure your issue cannot be solved by upgrading instead of downgrading? 2) Can you not download the old kernel and install with rpm? What have you tried and what issues are you facing?
    – ajeh
    Aug 14, 2018 at 21:39
  • @ajeh If the machine already has 3.10.0-862.9.1.el7.x86_64 then he can't upgrade as that's already the latest available kernel for CentOS 7. Aug 14, 2018 at 21:47
  • @NasirRiley I generally stick with the distro supplied kernels, but is it not possible to install a newer generic kernel? Or a kernel from Fedora, which is very similar?
    – ajeh
    Aug 15, 2018 at 18:29
  • @ajeh In this case, it can't be installed from CentOS's repos as they will only have what's available for the specific distro. It's possible to source-compile a kernel or install an rpm for a kernel from Fedora but it's usually a bad idea for the same reason that installing an rpm from Fedora is a bad idea. Aug 15, 2018 at 21:12
  • So d/l an older kernel and installing it with rpm (perhaps by forcing if necessary) remains.
    – ajeh
    Aug 15, 2018 at 21:28

1 Answer 1

1

I did not find any work around. The only solution was to install an older version of CentOS that ships with an older kernel. I needed kernel-headers as well and for that I installed them via RPM.

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.